export default {
  namespaced: true,
  state: () => ({
    leftShows: 1,
    rightShows: 1,
    tsgzTimeFlsg: 0,
    closesp: 2,
    spkind: 1,
    videohk: 2,
    tourInfo: {},
    tourSign: 2,
    countTimes1: [],
    countTimes2: [],
    countTimes3: [],
    countTimes4: [],
    customFlag: 1,
    rangeTime: [],
    xzhh: '',
    dynamicPoint: '1', // '1'点位, '2'热力, '3'方格
    distinguishKind: '3', // '1' 巡逻；'2' 重点人员, '3'警情
    xfqOrg: {}
  }),
  mutations: {
    SET_ORGCODE(state, view) {
      state.xfqOrg = view
    },
    SET_LEFT_SHOWS(state, view) {
      state.leftShows = view
    },
    SET_RIGHT_SHOWS(state, view) {
      state.rightShows = view
    },
    SET_TSGZ_TIMEFLAG(state, view) {
      state.tsgzTimeFlsg = view
    },
    SET_CLOSESP(state, view) {
      state.closesp = view
    },
    SET_SPKIND(state, view) {
      state.spkind = view
    },
    SET_TOURSIGN(state, view) {
      state.tourSign = view
    },
    SET_TOURINFO(state, view) {
      state.tourInfo = view
    },
    SET_COUNTTIMES1(state, view) {
      state.countTimes1 = view
    },
    SET_COUNTTIMES2(state, view) {
      state.countTimes2 = view
    },
    SET_COUNTTIMES3(state, view) {
      state.countTimes3 = view
    },
    SET_COUNTTIMES4(state, view) {
      state.countTimes4 = view
    },
    SET_CUSTOMFLAG(state, view) {
      state.customFlag = view
    },
    SET_RANGETIME(state, view) {
      state.rangeTime = view
    },
    SET_XZHH(state, view) {
      state.xzhh = view
    },
    SET_DYNAMIC_POINT(state, view) {
      state.dynamicPoint = view
    },
    SET_DINSTINGUISH_KIND(state, view) {
      state.distinguishKind = view
    }
  }
}
